// This file is part of ReLarn; Copyright (C) 1986 - 2020; GPLv2; NO WARRANTY!
// See Copyright.txt, LICENSE.txt and AUTHORS.txt for terms.


// Consider this part of cast.c; it's here for readability.
//
// This is the big list of spell immunities used by the function
// nospell and turns into a giant array-of-struct initializer.


{
  "the web had no effect on the %s",
  {
    {VORTEX, CWEB},
    {INVISIBLESTALKER, CWEB},
    {POLTERGEIST, CWEB},
    {YELLOWMOLD, CWEB},
    {WATERLORD, CWEB},
    {SPIRITNAGA, CWEB},
    {DEMONLORD1, CWEB},
    {DEMONLORD2, CWEB},
    {DEMONLORD3, CWEB},
    {DEMONLORD4, CWEB},
    {DEMONLORD5, CWEB},
    {DEMONLORD6, CWEB},
    {DEMONLORD7, CWEB},
    {DEMONPRINCE, CWEB},
    {DEMONKING, CWEB},
    {NOMONST, 0},
  },
},
{
  "the %s changed shape to avoid the web",
  {
    {CUBE, CWEB},
    {METAMORPH, CWEB},
    {VAMPIRE, CWEB},
    {MIMIC, CWEB},
    {NOMONST, 0},
  },
},
{
  "the %s isn't afraid of you",
  {
    {GNOMEKING, CCHARM},
    {WATERLORD, CCHARM},
    {SPIRITNAGA, CCHARM},
    {DEMONLORD1, CCHARM},
    {DEMONLORD1, CSCAREMON},
    {DEMONLORD2, CCHARM},
    {DEMONLORD2, CSCAREMON},
    {DEMONLORD3, CCHARM},
    {DEMONLORD3, CSCAREMON},
    {DEMONLORD4, CCHARM},
    {DEMONLORD4, CSCAREMON},
    {DEMONLORD5, CCHARM},
    {DEMONLORD5, CSCAREMON},
    {DEMONLORD6, CCHARM},
    {DEMONLORD6, CSCAREMON},
    {DEMONLORD7, CCHARM},
    {DEMONLORD7, CSCAREMON},
    {DEMONPRINCE, CCHARM},
    {DEMONPRINCE, CSCAREMON},
    {DEMONKING, CCHARM},
    {NOMONST, 0},
  },
},
{
  "the %s isn't affected",
  {
    {EYE, CFINGER},
    {ZOMBIE, CSSPEAR},
    {ZOMBIE, CPHANTASM},
    {ZOMBIE, CCLOUD},
    {ZOMBIE, CDRY},
    {ZOMBIE, CDRAIN},
    {ZOMBIE, CFINGER},
    {TROLL, CDRY},
    {WHITEDRAGON, CDRY},
    {CUBE, CCLOUD},
    {CUBE, CFINGER},
    {METAMORPH, CCLOUD},
    {METAMORPH, CDRY},
    {METAMORPH, CFINGER},
    {VORTEX, CCLOUD},
    {VORTEX, CDRY},
    {VORTEX, CFLOOD},
    {VORTEX, CFINGER},
    {VIOLETFUNGI, CFINGER},
    {WRAITH, CSSPEAR},
    {WRAITH, CCLOUD},
    {WRAITH, CDRY},
    {WRAITH, CDRAIN},
    {WRAITH, CFINGER},
    {XORN, CDRY},
    {XORN, CFLOOD},
    {XORN, CFINGER},
    {VAMPIRE, CSSPEAR},
    {VAMPIRE, CCLOUD},
    {VAMPIRE, CDRAIN},
    {VAMPIRE, CFINGER},
    {POLTERGEIST, CSSPEAR},
    {POLTERGEIST, CCOLD},
    {POLTERGEIST, CCLOUD},
    {POLTERGEIST, CDRY},
    {POLTERGEIST, CDRAIN},
    {POLTERGEIST, CFLOOD},
    {POLTERGEIST, CFINGER},
    {YELLOWMOLD, CCLOUD},
    {YELLOWMOLD, CFINGER},
    {WATERLORD, CSSPEAR},
    {WATERLORD, CCLOUD},
    {WATERLORD, CFINGER},
    {XVART, CFLOOD},
    {XVART, CFINGER},
    {SPIRITNAGA, CSSPEAR},
    {SPIRITNAGA, CCOLD},
    {SPIRITNAGA, CCLOUD},
    {SPIRITNAGA, CDRY},
    {SPIRITNAGA, CDRAIN},
    {SPIRITNAGA, CFLOOD},
    {SPIRITNAGA, CFINGER},
    {DEMONLORD1, CCLOUD},
    {DEMONLORD1, CDRY},
    {DEMONLORD1, CFLOOD},
    {DEMONLORD1, CFINGER},
    {DEMONLORD1, CMAGICFIRE},
    {DEMONLORD2, CCLOUD},
    {DEMONLORD2, CDRY},
    {DEMONLORD2, CFLOOD},
    {DEMONLORD2, CFINGER},
    {DEMONLORD2, CMAGICFIRE},
    {DEMONLORD3, CCLOUD},
    {DEMONLORD3, CDRY},
    {DEMONLORD3, CFLOOD},
    {DEMONLORD3, CFINGER},
    {DEMONLORD3, CMAGICFIRE},
    {DEMONLORD4, CCLOUD},
    {DEMONLORD4, CDRY},
    {DEMONLORD4, CFLOOD},
    {DEMONLORD4, CFINGER},
    {DEMONLORD4, CMAGICFIRE},
    {DEMONLORD5, CCLOUD},
    {DEMONLORD5, CDRY},
    {DEMONLORD5, CFLOOD},
    {DEMONLORD5, CFINGER},
    {DEMONLORD5, CMAGICFIRE},
    {DEMONLORD6, CPOLY},
    {DEMONLORD6, CCLOUD},
    {DEMONLORD6, CDRY},
    {DEMONLORD6, CFLOOD},
    {DEMONLORD6, CFINGER},
    {DEMONLORD6, CMAGICFIRE},
    {DEMONLORD7, CPOLY},
    {DEMONLORD7, CCLOUD},
    {DEMONLORD7, CDRY},
    {DEMONLORD7, CFLOOD},
    {DEMONLORD7, CFINGER},
    {DEMONLORD7, CMAGICFIRE},
    {DEMONPRINCE, CPOLY},
    {DEMONPRINCE, CCLOUD},
    {DEMONPRINCE, CDRY},
    {DEMONPRINCE, CDRAIN},
    {DEMONPRINCE, CFLOOD},
    {DEMONPRINCE, CFINGER},
    {DEMONPRINCE, CMAGICFIRE},
    {DEMONKING, CCLOUD},
    {DEMONKING, CDRY},
    {DEMONKING, CDRAIN},
    {DEMONKING, CFINGER},
    {DEMONKING, CSCAREMON},
    {DEMONKING, CHOLDMON},
    {DEMONKING, CMAGICFIRE},
    {NOMONST, 0},
  },
},
{
  "the %s can see you with his infravision",
  {
    {GNOME, CINV},
    {KOBOLD, CINV},
    {BUGBEAR, CINV},
    {ELF, CINV},
    {FORVALAKA, CINV},
    {ROTHE, CINV},
    {XORN, CINV},
    {UMBERHULK, CINV},
    {GNOMEKING, CINV},
    {SPIRITNAGA, CINV},
    {DEMONLORD1, CINV},
    {DEMONLORD2, CINV},
    {DEMONLORD3, CINV},
    {DEMONLORD4, CINV},
    {DEMONLORD5, CINV},
    {DEMONLORD6, CINV},
    {DEMONLORD7, CINV},
    {DEMONPRINCE, CINV},
    {DEMONKING, CINV},
    {NOMONST, 0},
  },
},
{
  "the %s vaporizes your missile",
  {
    {HELLHOUND, CMMISSILE},
    {SILVERDRAGON, CMMISSILE},
    {REDDRAGON, CMMISSILE},
    {NOMONST, 0},
  },
},
{
  "your missile bounces off the %s",
  {
    {TROLL, CMMISSILE},
    {ROTHE, CMMISSILE},
    {XORN, CMMISSILE},
    {UMBERHULK, CMMISSILE},
    {GNOMEKING, CMMISSILE},
    {BRONZEDRAGON, CMMISSILE},
    {GREENDRAGON, CMMISSILE},
    {PLATINUMDRAGON, CMMISSILE},
    {NOMONST, 0},
  },
},
{
  "the %s doesn't sleep",
  {
    {EYE, CSLEEP},
    {ZOMBIE, CSLEEP},
    {CUBE, CSLEEP},
    {VIOLETFUNGI, CSLEEP},
    {WRAITH, CSLEEP},
    {XORN, CSLEEP},
    {POLTERGEIST, CSLEEP},
    {DISENCHANTRESS, CSLEEP},
    {YELLOWMOLD, CSLEEP},
    {WATERLORD, CSLEEP},
    {SPIRITNAGA, CSLEEP},
    {DEMONLORD1, CSLEEP},
    {DEMONLORD2, CSLEEP},
    {DEMONLORD3, CSLEEP},
    {DEMONLORD4, CSLEEP},
    {DEMONLORD5, CSLEEP},
    {DEMONLORD6, CSLEEP},
    {DEMONLORD7, CSLEEP},
    {DEMONPRINCE, CSLEEP},
    {DEMONKING, CSLEEP},
    {NOMONST, 0},
  },
},
{
  "the %s resists",
  {
    {GNOMEKING, CPOLY},
    {WATERLORD, CPOLY},
    {SPIRITNAGA, CPOLY},
    {SILVERDRAGON, CSLEEP},
    {SILVERDRAGON, CPOLY},
    {PLATINUMDRAGON, CSLEEP},
    {PLATINUMDRAGON, CPOLY},
    {DEMONLORD1, CPOLY},
    {DEMONLORD1, CDRAIN},
    {DEMONLORD1, CTELEPORT},
    {DEMONLORD1, CMKWALL},
    {DEMONLORD2, CPOLY},
    {DEMONLORD2, CDRAIN},
    {DEMONLORD2, CTELEPORT},
    {DEMONLORD2, CMKWALL},
    {DEMONLORD3, CPOLY},
    {DEMONLORD3, CDRAIN},
    {DEMONLORD3, CTELEPORT},
    {DEMONLORD3, CMKWALL},
    {DEMONLORD4, CPOLY},
    {DEMONLORD4, CDRAIN},
    {DEMONLORD4, CTELEPORT},
    {DEMONLORD4, CMKWALL},
    {DEMONLORD5, CPOLY},
    {DEMONLORD5, CDRAIN},
    {DEMONLORD5, CTELEPORT},
    {DEMONLORD5, CMKWALL},
    {DEMONLORD6, CTELEPORT},
    {DEMONLORD6, CMKWALL},
    {DEMONLORD7, CTELEPORT},
    {DEMONLORD7, CMKWALL},
    {DEMONPRINCE, CTELEPORT},
    {DEMONPRINCE, CMKWALL},
    {DEMONKING, CPOLY},
    {DEMONKING, CTELEPORT},
    {DEMONKING, CMKWALL},
    {NOMONST, 0},
  },
},
{
  "the %s can't hear the noise",
  {
    {EYE, CSSPEAR},
    {CUBE, CSSPEAR},
    {VORTEX, CSSPEAR},
    {SHAMBLINGMOUND, CSSPEAR},
    {YELLOWMOLD, CSSPEAR},
    {DEMONLORD1, CSSPEAR},
    {DEMONLORD2, CSSPEAR},
    {DEMONLORD3, CSSPEAR},
    {DEMONLORD4, CSSPEAR},
    {DEMONLORD5, CSSPEAR},
    {DEMONLORD6, CSSPEAR},
    {DEMONLORD7, CSSPEAR},
    {DEMONPRINCE, CSSPEAR},
    {DEMONKING, CSSPEAR},
    {NOMONST, 0},
  },
},
{
  "the %s's tail cuts it free of the web",
  {
    {ICELIZARD, CWEB},
    {GREENDRAGON, CWEB},
    {PLATINUMDRAGON, CWEB},
    {NOMONST, 0},
  },
},
{
  "the %s burns through the web",
  {
    {HELLHOUND, CWEB},
    {SILVERDRAGON, CWEB},
    {REDDRAGON, CWEB},
    {NOMONST, 0},
  },
},
{
  "your missiles pass right through the %s",
  {
    {CUBE, CMMISSILE},
    {METAMORPH, CMMISSILE},
    {VORTEX, CMMISSILE},
    {WRAITH, CMMISSILE},
    {POLTERGEIST, CMMISSILE},
    {WATERLORD, CMMISSILE},
    {XVART, CMMISSILE},
    {SPIRITNAGA, CMMISSILE},
    {DEMONLORD1, CMMISSILE},
    {DEMONLORD2, CMMISSILE},
    {DEMONLORD3, CMMISSILE},
    {DEMONLORD4, CMMISSILE},
    {DEMONLORD5, CMMISSILE},
    {DEMONLORD6, CMMISSILE},
    {DEMONLORD7, CMMISSILE},
    {DEMONPRINCE, CMMISSILE},
    {DEMONKING, CMMISSILE},
    {NOMONST, 0},
  },
},
{
  "the %s sees through your illusions",
  {
    {WHITEDRAGON, CPHANTASM},
    {ELF, CPHANTASM},
    {WRAITH, CPHANTASM},
    {VAMPIRE, CPHANTASM},
    {SPIRITNAGA, CPHANTASM},
    {PLATINUMDRAGON, CPHANTASM},
    {NOMONST, 0},
  },
},
{
  "the %s appears to be recalling a fond memory.",
  {
    {DEMONLORD1, CPHANTASM},
    {DEMONLORD2, CPHANTASM},
    {DEMONLORD3, CPHANTASM},
    {DEMONLORD4, CPHANTASM},
    {DEMONLORD5, CPHANTASM},
    {DEMONLORD6, CPHANTASM},
    {DEMONLORD7, CPHANTASM},
    {DEMONPRINCE, CPHANTASM},
    {DEMONKING, CPHANTASM},
    {NOMONST, 0},
  },
},
{
  "the %s loves the cold!",
  {
    {ICELIZARD, CCOLD},
    {YETI, CCOLD},
    {WHITEDRAGON, CCOLD},
    {NOMONST, 0},
  },
},
{
  "the %s loves the water!",
  {
    {WATERLORD, CFLOOD},
    {NOMONST, 0},
  },
},
{
  "the demon is terrified of the %s!",
  {
    {DEMONLORD1, CSUMMON},
    {DEMONLORD2, CSUMMON},
    {DEMONLORD3, CSUMMON},
    {DEMONLORD4, CSUMMON},
    {DEMONLORD5, CSUMMON},
    {DEMONLORD6, CSUMMON},
    {DEMONLORD7, CSUMMON},
    {DEMONPRINCE, CSUMMON},
    {DEMONKING, CSUMMON},
    {NOMONST, 0},
  },
},
{
  "the %s loves fire and lightning!",
  {
    {DEMONKING, CFIREBALL},
    {DEMONKING, CLIGHTNING},
    {NOMONST, 0},
  },
},
{ NULL, }
